package org.arefgard.container;

import java.util.List;

public class FlowDef {
	private String name;
	private List<ParameterDef> parameter;
	
	public FlowDef(String name) {
		this.parameter = new java.util.ArrayList<ParameterDef>();
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public void addParameterDef(ParameterDef parameter) {
		this.parameter.add(parameter);
	}
	
	public int getParameterLength() {
		return this.parameter.size();
	}
	
	public ParameterDef getParameterDef(int i) {
		return this.parameter.get(i);
	}
	
}
